# based on ftp://ftp.icm.edu.pl/vol/rzm2/linux-mandriva/official/2011/SRPMS/main/backports/librouteros-1.1.2-1.src.rpm

%define _prefix /usr
%define _libdir %{_prefix}/lib64

Name:          librouteros
Version:       1.1.2
Release:       4%{?dist}
Summary:       Library for accessing MikroTik's RouterOS via its API
License:       GPLv2+
Group:         System/Libraries
Url:           http://verplant.org/librouteros
Source0:       http://verplant.org/librouteros/files/librouteros-%{version}.tar.bz2
Patch0:        disable_werror.patch
BuildRequires: libgcrypt-devel
BuildRequires: autoconf
BuildRequires: libtool

%description
librouteros (or libRouterOS) is a C library to communicate 
with network devices by MikroTik running their Linux-based 
operating system RouterOS.

%package     devel
Summary:     Files for developping applications that use librouteros
Group:       Development/C
Provides:    routeros-devel = %{version}
Requires:    %{name} = %{version}
Obsoletes:   routeros-devel < %{version}

#description -n %{develname}
%description devel
The header files and libtool library for developping applications that use
librouteros.

%prep
%setup -q
%patch0 -p0
autoreconf -fi

%build
./configure \
  --prefix=%{_prefix} \
  --libdir=%{_libdir} \
  --mandir=%{_mandir}
make

%install
make DESTDIR=${RPM_BUILD_ROOT} install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_bindir}/ros
%{_libdir}/*.so*
%{_mandir}/man1/ros.1.*
%{_mandir}/man3/librouteros.3.*
%doc README ChangeLog NEWS

#files -n %{develname}
%files devel
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Sun Jan 24 2016 Richard Marko <rmarko@fedoraproject.org> 1.1.2-4
- Spec update

* Sat Sep 08 2012 Pierre Wieser <pwieser@trychlos.org> 1.1.2-3
- Clean build dir
- Add post/postun scriptlets

* Fri Sep 07 2012 Pierre Wieser <pwieser@trychlos.org> 1.1.2-2
- Rebuild for CentOS 5

* Tue Jan 10 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.1.2-1
+ Revision: 759417
- BR gcrypt
- Werror flags not needed
- imported package librouteros

